/****************************************************************

file common.h

Example Code searching for solutions of Sir Peter Swinnerton-Dyer's
Diophantine equation. An implementation of the hashing algorithm
developed by the authors.

Copyright (C) 2006 A.-S. Elsenhans and J. Jahnel

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

Address of the authors

	A.-S. Elsenhans/ J. Jahnel
	Math. Institut der Universitaet
	Bunsenstrasze 3--5
	D-37073 Goettingen
        Germany

WWW     http://www.uni-math.gwdg.de/jahnel

*****************************************************************/


#include<stdio.h>
#include<stdlib.h>
#include<gmp.h>

#include"gmp_headers.h"
#include GMP_IMPL
#include LONGLONG

#include"settings.h"

 /* Some prototypes. */
void einen_puffer_abarbeiten (int f_nr, int klasse);
void post_proc (unsigned long int ls, int klasse, int f_nr, int i);
